Do not miss any PlannrCRM API changes, ever again

Subscribe to the PlannrCRM API changelog to be up to date on recent changes.

RSS

about 2 hours ago

main
v1.156.5
Compare
v1.156.5

API structure has changed

12 structure changes including:
1 Addition
11 Modifications
Modified 11 Breaking
GET /api/v1/audits
  • Response
  • 201 response Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • 200, 422 responses Added
  • Query
  • filter[auditable_type] query parameter Added
GET /api/v1/audits/{model}/{modelUuid}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • data property Modified
        • auditable_uuid property Added
GET /api/v1/employee/{employee_uuid}/audits
  • Response
  • 200 response Modified
    • application/json content type Modified
      • data property Modified
        • auditable_uuid property Added
GET /api/v1/lead-sources
  • Response
  • 200 response Modified
    • application/json content type Modified
      • data property Modified
        • sub_sources property Added
  • Query
  • include query parameter Added
GET /api/v1/lead-sources/{lead_source_uuid}/sub-sources
  • Response
  • 200 response Modified
    • application/json content type Modified
      • data property Modified
        • lead_source property Added
GET /api/v1/lead-sources/{lead_source_uuid}/sub-sources/{uuid}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • lead_source property Added
GET /api/v1/lead-sources/{uuid}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • sub_sources property Added
POST /api/v1/lead-sources
  • Response
  • 200 response Modified
    • application/json content type Modified
      • sub_sources property Added
POST /api/v1/lead-sources/{lead_source_uuid}/sub-sources
  • Response
  • 200 response Modified
    • application/json content type Modified
      • lead_source property Added
PUT /api/v1/lead-sources/{lead_source_uuid}/sub-sources/{uuid}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • lead_source property Added
PUT /api/v1/lead-sources/{uuid}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • sub_sources property Added
Added 1
GET /api/v1/lead-sub-sources